

const BaseSearch = require('./base-search');

// calls the given handler exactly one time
// then text matches the given regex


class RegexSearch extends BaseSearch {
  constructor(args) {
    super(args);
    this.searchRegexp = args.regex;
  }

  // returns the display name for debug / error messages
  getDisplayName() {
    return `regex '${this.searchRegexp.toString()}'`;
  }

  // returns whether the given text contains the search text this search is looking for
  matches(text) {
    return this.searchRegexp.test(text);
  }
}

module.exports = RegexSearch;