

const BaseSearch = require('./base-search');

const debug = require('debug')('text-stream-search:string-search');

// Calls the given handler exactly one time
// when text matches the given string
class StringSearch extends BaseSearch {
  constructor(args) {
    super(args);
    this.searchText = args.query;
  }

  // Returns the display name for debug / error messages
  getDisplayName() {
    return `string '${this.searchText}'`;
  }

  // Returns whether the given text contains the search text this search is looking for
  matches(text) {
    const result = text.includes(this.searchText);
    if (result) {
      debug(`search for '${this.searchText}' found a match in '${text}'`);
    } else {
      debug(`no match in '${text}'`);
    }
    return result;
  }
}

module.exports = StringSearch;